@import "../../../styles/global/var";

// this is defined in the mdMenuService, so we have to take it into account
$MENU_EDGE_MARGIN: 8px;

test-label,
.test-label {
    display: inline-block;
    vertical-align: middle;
    font-size: 0;
}

.test-label {
    &__preview {
        padding: 0;
        width: 500px;
        max-width: calc(100vw - #{$MENU_EDGE_MARGIN} * 2); // TODO: do it for specific screen sizes
        min-height: 200px;
        max-height: 400px;

        &._loading {
            max-height: 200px;
        }
    }
    &__item {
        display: inline-block;
        vertical-align: middle;
        max-height: 16px;
        border-radius: 8px;
        font-size: 12px;
        line-height: 16px;
        padding: 0 8px;
        color: $gray57c;
        box-shadow: 0 0 0 1px $gray8be;
        transition: background-color .15s ease-in-out, color .15s ease-in-out;
        &._link {
            color: $gray57c;
            background-color: $table-bg-hover;
            cursor: pointer;
            &:hover {
                color: $gray57c;
                text-decoration: none;
                background-color: rgba($black, 0.1);
            }
        }
        &-key {
            margin-right: 4px;
        }
        &-value {
            font-weight: 500;
        }
        &-icon {
            display: inline-block;
            background-position: center center;
            background-repeat: no-repeat;
            margin-right: 4px;

            &._testrail {
                width: 8px;
                height: 8px;
                background-image: url(../../../assets/images/_icons_tools/testrail-bw.svg);
            }

            &._qtest {
                width: 10px;
                height: 9px;
                background-image: url(../../../assets/images/_icons_tools/qtest-bw.svg);
                background-size: 9px 10px;
            }

            &._xray {
                width: 10px;
                height: 10px;
                background-image: url(../../../assets/images/_icons_tools/xray-bw.svg);
                background-size: 16px 16px;
            }
        }
    }

    @media screen and (max-height: 416px) {
        &__preview {
            max-height: calc(100vh - #{$MENU_EDGE_MARGIN} * 2);
        }
    }
}
